package hiro.yoshioka.sdh;

import hiro.yoshioka.sdh.SDHTableContentProvider;
import hiro.yoshioka.sdh.StringRecordDataHolder;

public class RDHTableContentProvider extends SDHTableContentProvider {
	public Object[] getElements(Object element) {
		try {
			return ((StringRecordDataHolder) element).getStringRecordData();
		} catch (RuntimeException e) {
			e.printStackTrace();
		}
		return null;
	}
}